<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LRemoteCluster StructType
 * @subpackage Structs
 */
class LRemoteCluster extends AbstractStructBase
{
    /**
     * The clusterId
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $clusterId;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The fullyQualifiedName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $fullyQualifiedName;
    /**
     * The emcc
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $emcc;
    /**
     * The pstnAccess
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $pstnAccess;
    /**
     * The rsvpAgent
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $rsvpAgent;
    /**
     * The tftp
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $tftp;
    /**
     * The lbm
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $lbm;
    /**
     * The uds
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember
     */
    public $uds;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LRemoteCluster
     * @uses LRemoteCluster::setClusterId()
     * @uses LRemoteCluster::setDescription()
     * @uses LRemoteCluster::setFullyQualifiedName()
     * @uses LRemoteCluster::setEmcc()
     * @uses LRemoteCluster::setPstnAccess()
     * @uses LRemoteCluster::setRsvpAgent()
     * @uses LRemoteCluster::setTftp()
     * @uses LRemoteCluster::setLbm()
     * @uses LRemoteCluster::setUds()
     * @uses LRemoteCluster::setUuid()
     * @param string $clusterId
     * @param string $description
     * @param string $fullyQualifiedName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $emcc
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $pstnAccess
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $rsvpAgent
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $tftp
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $lbm
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $uds
     * @param string $uuid
     */
    public function __construct($clusterId = null, $description = null, $fullyQualifiedName = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $emcc = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $pstnAccess = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $rsvpAgent = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $tftp = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $lbm = null, \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $uds = null, $uuid = null)
    {
        $this
            ->setClusterId($clusterId)
            ->setDescription($description)
            ->setFullyQualifiedName($fullyQualifiedName)
            ->setEmcc($emcc)
            ->setPstnAccess($pstnAccess)
            ->setRsvpAgent($rsvpAgent)
            ->setTftp($tftp)
            ->setLbm($lbm)
            ->setUds($uds)
            ->setUuid($uuid);
    }
    /**
     * Get clusterId value
     * @return string|null
     */
    public function getClusterId()
    {
        return $this->clusterId;
    }
    /**
     * Set clusterId value
     * @param string $clusterId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setClusterId($clusterId = null)
    {
        $this->clusterId = $clusterId;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get fullyQualifiedName value
     * @return string|null
     */
    public function getFullyQualifiedName()
    {
        return $this->fullyQualifiedName;
    }
    /**
     * Set fullyQualifiedName value
     * @param string $fullyQualifiedName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setFullyQualifiedName($fullyQualifiedName = null)
    {
        $this->fullyQualifiedName = $fullyQualifiedName;
        return $this;
    }
    /**
     * Get emcc value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getEmcc()
    {
        return $this->emcc;
    }
    /**
     * Set emcc value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $emcc
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setEmcc(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $emcc = null)
    {
        $this->emcc = $emcc;
        return $this;
    }
    /**
     * Get pstnAccess value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getPstnAccess()
    {
        return $this->pstnAccess;
    }
    /**
     * Set pstnAccess value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $pstnAccess
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setPstnAccess(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $pstnAccess = null)
    {
        $this->pstnAccess = $pstnAccess;
        return $this;
    }
    /**
     * Get rsvpAgent value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getRsvpAgent()
    {
        return $this->rsvpAgent;
    }
    /**
     * Set rsvpAgent value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $rsvpAgent
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setRsvpAgent(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $rsvpAgent = null)
    {
        $this->rsvpAgent = $rsvpAgent;
        return $this;
    }
    /**
     * Get tftp value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getTftp()
    {
        return $this->tftp;
    }
    /**
     * Set tftp value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $tftp
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setTftp(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $tftp = null)
    {
        $this->tftp = $tftp;
        return $this;
    }
    /**
     * Get lbm value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getLbm()
    {
        return $this->lbm;
    }
    /**
     * Set lbm value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $lbm
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setLbm(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $lbm = null)
    {
        $this->lbm = $lbm;
        return $this;
    }
    /**
     * Get uds value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember|null
     */
    public function getUds()
    {
        return $this->uds;
    }
    /**
     * Set uds value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $uds
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setUds(\\Losc\CucmBundle\Model\Webservice\StructType\LRemoteClusterMember $uds = null)
    {
        $this->uds = $uds;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRemoteCluster
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
